V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
V2EX 提问指南
BobbyTube
V2EX  ›  问与答

到目前(2022 年 6 月)是否已经能用 M1/M2 芯片的 Macbook 做前端开发了?

  •  
  •   BobbyTube · 2022-06-20 08:45:14 +08:00 · 5424 次点击
    这是一个创建于 757 天前的主题,其中的信息可能已经有所发展或是发生改变。

    M1 芯片出来没多久,好像看到有一些兼容性问题,后来就没再继续关注。

    最近要买新设备,依然还是想选择 Macbook Pro ,但本着买新不买旧的原则,肯定不会去买旧款 Intel 的版本了。

    那么想问一下,现在 M1/M2 芯片的 Macbook 用于做“泛”前端相关的开发工作,是否还存在什么兼容问题?

    35 条回复    2022-06-21 09:56:17 +08:00
    zhixiao
        1
    zhixiao  
       2022-06-20 08:48:42 +08:00   ❤️ 1
    早就可以了啊 我都用了一年多了,泛前端是指啥?反正我开发 flutter 、node 、前端都没发现啥问题
    BobbyTube
        2
    BobbyTube  
    OP
       2022-06-20 08:52:31 +08:00
    @zhixiao 就… 偶尔还写个 php ,用 photoshop 处理一下图片,用 charles 抓个包,之类的
    xtinput
        3
    xtinput  
       2022-06-20 08:58:53 +08:00   ❤️ 1
    @BobbyTube #2 你这需求早就 OK 了,但有个问题 photoshop 好像没完整适配 arm64 ,你如果只是简单处理图片可以换一个软件:pixelmator ,抓包用 proxyman
    BobbyTube
        4
    BobbyTube  
    OP
       2022-06-20 09:01:22 +08:00
    @xtinput 看来还是有些许问题,谢谢解答
    xtinput
        5
    xtinput  
       2022-06-20 09:08:06 +08:00
    @BobbyTube PS 正版没关系,pj 版本只能跑转译
    xtinput
        6
    xtinput  
       2022-06-20 09:11:03 +08:00
    抓包我是因为 proxyman 有 iOS 版,所以才换的它,而且它的基本功能是免费的,不需要去找 pj
    pixelmator pro 128 块钱直接买断,功能上也差不多能代替 ps 了
    BobbyTube
        7
    BobbyTube  
    OP
       2022-06-20 09:14:07 +08:00
    @xtinput 好的,全正版应该问题不大?谢谢~
    xtinput
        8
    xtinput  
       2022-06-20 09:15:08 +08:00
    xtinput
        9
    xtinput  
       2022-06-20 09:16:03 +08:00
    @BobbyTube adobe 正版全家桶都上 arm64 了
    fernandoxu
        10
    fernandoxu  
       2022-06-20 09:43:02 +08:00
    丐版 air 我都用着干活一年多了😂,没啥问题
    BobbyTube
        11
    BobbyTube  
    OP
       2022-06-20 09:45:51 +08:00
    @fernandoxu 请问 Macbook Air 做前端开发性能如何,尤其是 npm run build 的时候
    banliyaya
        12
    banliyaya  
       2022-06-20 09:50:12 +08:00
    @xtinput ps2022 好像去年就适配了
    shilianmlxg
        13
    shilianmlxg  
       2022-06-20 09:56:52 +08:00
    @BobbyTube 不稳定。有想项目 npm install 都 in 不了。需要随时切换 node 版本。pnpm 也是。
    DICK23
        14
    DICK23  
       2022-06-20 10:30:25 +08:00
    说实话性能不是很够用,用 webstorm 有时候搜索能明显卡顿
    BobbyTube
        15
    BobbyTube  
    OP
       2022-06-20 10:33:49 +08:00
    @DICK23 Macbook Air 吗,明白了
    slipkinem
        16
    slipkinem  
       2022-06-20 10:38:58 +08:00 via iPhone
    @shilianmlxg 听起来和 mac 没关系
    slipkinem
        17
    slipkinem  
       2022-06-20 10:41:37 +08:00 via iPhone
    @BobbyTube pro build 没问题并且贼快,但是 vs code 的自动 eslint 偶尔会卡卡的,m1 mac 版微信都卡死好多次了,没找到原因
    Bijiabo
        18
    Bijiabo  
       2022-06-20 10:57:02 +08:00
    日常前后端、移动端开发、设计工作都在 M1 系列产品上完成,完全没有问题。

    关于上面 NPM 依赖安装问题,我之前遇到的问题主要是国内源部分包没有同步到最新版本,如果梯子够稳,完全不使用任何国内源的话,不会遇到问题。
    Bijiabo
        19
    Bijiabo  
       2022-06-20 10:58:08 +08:00
    关于微信使用,可以考虑使用 PlayCover 运行 iOS 版本的微信,日常使用没什么问题
    MonkeyD1
        20
    MonkeyD1  
       2022-06-20 10:58:49 +08:00   ❤️ 1
    目前 rn 的 ios pod 依赖包 会有一些问题 不支持
    tiktokxxxx2020
        21
    tiktokxxxx2020  
       2022-06-20 11:08:08 +08:00
    ????????早都可以了。。。。。。。。。
    freetes
        22
    freetes  
       2022-06-20 11:32:06 +08:00
    才开始网上冲浪🏄‍♀️
    a1065506483
        23
    a1065506483  
       2022-06-20 11:38:20 +08:00
    早就能用了,非常丝滑
    coolmint
        24
    coolmint  
       2022-06-20 11:41:24 +08:00
    一点问题没有,各种丝滑,Lightroom 暴力导出我的 M1 Pro 还是会卡,可能内存太小,16g ,日常 flutter 开发,剪视频,太好用了
    liuxingdeyu
        25
    liuxingdeyu  
       2022-06-20 11:44:30 +08:00
    现在遇到的兼容问题最要命的是 vpn ,能连上,但是不能用 ssh
    xingyuc
        26
    xingyuc  
       2022-06-20 11:45:34 +08:00
    早都能用了,一定要上大内存
    linktang
        27
    linktang  
       2022-06-20 11:47:57 +08:00
    m1 问题多了去了,我随便贴个
    https://github.com/tensorflow/tfjs/issues/6381
    zakokun
        28
    zakokun  
       2022-06-20 11:50:39 +08:00
    M1 出来的第一个月就支持了。你也落后太久了
    fernandoxu
        29
    fernandoxu  
       2022-06-20 11:55:24 +08:00
    @BobbyTube #11 挺快的,就是 8g 内存有点吃力,还是 16g 起步吧
    linktang
        30
    linktang  
       2022-06-20 12:37:11 +08:00
    再随便补 2 个
    https://github.com/emscripten-core/emsdk/pull/771 (骚操作?)
    https://github.com/google/mediapipe/issues/2798 (社区的力量)

    我个人是一个 intel 台式机+mac m1 笔记本配合在用.

    如果你的工作是在 chrome 里调节 css, debug js,或者 iOS 开发,那用 m1 非常合适;

    如果你像我一样,还要使用 bazel 编译 tfjs/mediapipe,使用 emscripten 定制 wasm,你就会发现在这些大项目里,你会遇到无数的坑,需要使用各种花式的 hack 技巧来达到目的; 包括其实像 android, docker 这些项目都可以去 issue 里搜索 mac m1 看看别人的各种折腾经历,不过..喜欢折腾的话也不失为一种乐事?

    当然 m1 相关的问题可以看到大多数还是有解决的,说明确实在不断进步,未来肯定越来越好!
    isbase
        31
    isbase  
       2022-06-20 12:47:05 +08:00
    用 Google Docs 吧
    um1ng
        32
    um1ng  
       2022-06-20 13:36:09 +08:00
    vscode 很早就做了 M1 优化了
    leolh
        33
    leolh  
       2022-06-20 18:28:05 +08:00
    M 系列的 Mac ,只有 4k 的屏幕才能开启 hidpi ,4k 以下分辨率的都要各种折腾才能实现,这个对于强迫党非常不友好。我最近买个新的 mac studio 在公司使用,但无法开启 hidpi ,但还好升级到 12.4 Monterey 后,能适配部分的 2k 屏幕了,不然我都要退了(注:在同事的 m1 pro 的 mac book pro 更新到最新系统也无法开启 hidpi)。
    nieyujiang
        34
    nieyujiang  
       2022-06-20 20:01:28 +08:00 via iPhone
    @xtinput ps2022 已经是原生 arm64 了。不过不能用之前的那些插件
    Barnard
        35
    Barnard  
       2022-06-21 09:56:17 +08:00
    @leolh #33 需要手动食用,我是这样做的,仅供参考:

    MacOS Monterey )外接显示器成功开启 HiDPI
    https://www.yuque.com/docs/share/1870b6bf-2e4f-4c08-8ef9-5fa09dada46a?#
    关于   ·   帮助文档   ·   博客   ·   API   ·   FAQ   ·   实用小工具   ·   3848 人在线   最高记录 6679   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 30ms · UTC 00:58 · PVG 08:58 · LAX 17:58 · JFK 20:58
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.